<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="#B09E86" background="images/main_bg.jpg">
	<TR>
		<TD height="290" valign="top" style="background-image: url('images/tbg.gif'); background-position: bottom; background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="290" style="background-image: url('images/header.jpg'); background-position: right; background-repeat: no-repeat;">
				<tr>
					<td style="padding-left: 50px;">
					<!-- LOGO -->
						<div style="width: 400px;">
						<table cellpadding="0" cellspacing="0">
							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
							<tr><td align="center" class="slogan" background="images/logo_bg.gif"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						</div>
					<!-- END LOGO -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="90" bgcolor="White">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr>
					<td width="30"></td>
					<xsl:call-template name="TOP-MENU"/>
					<td width="30"></td>					
				</tr>
			</table>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR><TD height="56" align="right" style="background-image: url('images/top.gif'); background-repeat: repeat-x;"><img src="images/top.jpg" border="0" alt=""/></TD></TR>
	<TR>
		<TD height="100%" class="main-bg" style="background-image: url('images/main_b.gif');" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/main_bl.jpg'); background-position: bottom left; background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/main_br.jpg'); background-position: bottom right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr>
								<td height="100%"><div style="width:90px; height:1px;"><spacer type="block" width="90" height="1"/></div></td>
								<td width="160" valign="top">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="160" align="center">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>	
									<!-- END SUBMENU -->								
								</td>
								<td><div style="width:55px; height:1px;"><spacer type="block" width="55" height="1"/></div></td>
								<td width="100%" valign="top" class="pageContent">
									<!-- CONTENT -->
									<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
									<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<div style="width:1px; height:55px;"><spacer type="block" width="1" height="55"/></div>	
									<!-- END CONTENT -->								
								</td>
								<td><div style="width:70px; height:1px;"><spacer type="block" width="70" height="1"/></div></td>
							</tr>
							<tr><td colspan="5" height="75" align="right" style="padding-right: 10px;"><div class="footer" style="width: 200px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>												
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>					
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href=""><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="2" background="images/submenu_hr.gif"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
